> ## Documentation Index
> Fetch the complete documentation index at: https://developer.forebit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payment

> Retrieve the full record for a single payment, including customer info, event timeline, on-chain transaction data, and fee details.



## OpenAPI

````yaml https://prod-payments-api.forebit.io/openapi.json get /v1/businesses/{businessId}/payments/{paymentId}
openapi: 3.0.1
info:
  title: Forebit API
  description: >-
    Accept crypto payments across Bitcoin, Ethereum, Tron, and other networks.
    Create payments, manage businesses, and track transactions through a single
    unified interface.
  termsOfService: https://forebit.io/terms
  contact:
    name: Forebit Team
    email: support@forebit.io
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1.0.0
servers:
  - url: https://prod-payments-api.forebit.io/
security:
  - Bearer: []
tags:
  - name: Payments
    description: Create, list, and inspect crypto payments for a business.
  - name: Payments
    description: Payments
paths:
  /v1/businesses/{businessId}/payments/{paymentId}:
    get:
      tags:
        - Payments
      summary: Get a payment
      description: >-
        Retrieve the full record for a single payment, including customer info,
        event timeline, on-chain transaction data, and fee details.
      operationId: GetPayment
      parameters:
        - name: businessId
          in: path
          description: The target business ID.
          required: true
          schema:
            type: integer
            format: int64
        - name: paymentId
          in: path
          description: The payment ID to look up.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Payment returned.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BaseResponseOfGetPaymentResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponseOfGetPaymentResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BaseResponseOfGetPaymentResponse'
        '401':
          description: Missing or invalid authentication token.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: No payment matches this ID.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BaseResponseOfGetPaymentResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/GetPaymentResponse'
        message:
          type: string
          nullable: true
        errors:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    GetPaymentResponse:
      required:
        - createdAt
        - currency
        - endAmount
        - expiresAt
        - prePaymentAmount
        - status
        - timeline
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        endAmount:
          type: number
          format: double
        prePaymentAmount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/PaymentStatus'
        createdAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        timeline:
          type: array
          items:
            $ref: '#/components/schemas/TimelineForGetPaymentResponse'
          nullable: true
        customer:
          $ref: '#/components/schemas/CustomerForGetPaymentResponse'
        metadata:
          type: object
          additionalProperties:
            type: string
          nullable: true
        selectedPaymentMethod:
          $ref: '#/components/schemas/PaymentMethod'
        forebitCryptoCharge:
          $ref: '#/components/schemas/ForebitCryptoChargeForGetPaymentResponse'
        contractCharge:
          $ref: '#/components/schemas/ContractChargeForGetPaymentResponse'
        forebitFee:
          type: number
          format: double
          nullable: true
        note:
          type: string
          nullable: true
        onBehalfOfBusinessId:
          type: integer
          format: int64
        netAmountUsd:
          type: number
          format: double
      additionalProperties: false
    PaymentStatus:
      enum:
        - AWAITING_PAYMENT
        - PENDING
        - PROCESSING
        - UNDERPAID
        - COMPLETED
        - FAILED
        - CANCELLED
        - EXPIRED
      type: string
    TimelineForGetPaymentResponse:
      required:
        - paymentStatus
        - time
      type: object
      properties:
        time:
          type: string
          format: date-time
        paymentStatus:
          $ref: '#/components/schemas/PaymentStatus'
      additionalProperties: false
    CustomerForGetPaymentResponse:
      required:
        - email
        - id
      type: object
      properties:
        id:
          type: integer
          format: int64
        email:
          type: string
          nullable: true
        ipAddresses:
          type: array
          items:
            $ref: '#/components/schemas/CustomerIpDetailsResponse'
          nullable: true
      additionalProperties: false
    PaymentMethod:
      enum:
        - FOREBIT_CRYPTO
        - CONTRACT_CRYPTO
        - CONTRACT_TRX
        - NONE
      type: string
    ForebitCryptoChargeForGetPaymentResponse:
      type: object
      properties:
        amount:
          type: number
          format: double
        coinName:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
        isUnderpaid:
          type: boolean
        address:
          type: string
          nullable: true
        transaction:
          $ref: '#/components/schemas/TransactionForGetPaymentResponse'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/TransactionForGetPaymentResponse'
          nullable: true
        walletName:
          type: string
          nullable: true
      additionalProperties: false
    ContractChargeForGetPaymentResponse:
      type: object
      properties:
        amount:
          type: number
          format: double
        exchangeRate:
          type: number
          format: double
        isUnderpaid:
          type: boolean
        address:
          type: string
          nullable: true
        transaction:
          $ref: '#/components/schemas/TransactionForGetPaymentResponse'
        walletName:
          type: string
          nullable: true
        coinName:
          type: string
          nullable: true
      additionalProperties: false
    CustomerIpDetailsResponse:
      type: object
      properties:
        city:
          type: string
          nullable: true
        ip:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        riskScore:
          type: number
          format: double
          nullable: true
        connectionType:
          $ref: '#/components/schemas/IpConnectionType'
        isp:
          type: string
          nullable: true
        dateCreated:
          type: string
          format: date-time
      additionalProperties: false
    TransactionForGetPaymentResponse:
      required:
        - amount
        - confirmations
        - id
        - toAddress
      type: object
      properties:
        amount:
          type: number
          format: double
        toAddress:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
        confirmations:
          type: integer
          format: int64
        blockNumber:
          type: string
          nullable: true
        network:
          $ref: '#/components/schemas/Network'
        fromAddress:
          type: string
          nullable: true
        tokenName:
          $ref: '#/components/schemas/CryptoCoinName'
      additionalProperties: false
    IpConnectionType:
      enum:
        - RESIDENTIAL
        - BUSINESS
        - WIRELESS
        - VPN
        - SOCKS
        - COMPROMISED_SERVER
        - Unknown
      type: string
    Network:
      enum:
        - ETHEREUM
        - TRON
        - BTC
        - LTC
        - SOLANA
      type: string
    CryptoCoinName:
      enum:
        - BITCOIN
        - ETHEREUM
        - LITECOIN
        - BITCOIN_CASH
        - ETH_USD_COIN
        - ETH_TETHER
        - MONERO
        - BNB
        - ETH_BUSD
        - ETH_MATIC
        - ETH_SHIBA_INU
        - ETH_APE_COIN
        - ETH_CRONOS
        - ETH_DAI
        - ETH_UNISWAP
        - TRON
        - TRX_TETHER
        - TRX_USD_C
        - UNKNOWN
        - CONTRACT_ERC20_ETH
        - CONTRACT_ERC20_USDT
        - CONTRACT_ERC20_USDC
        - CONTRACT_TRC20_TRX
        - CONTRACT_TRC20_USDT
        - CONTRACT_TRC20_USDC
        - SOLANA
        - SOL_TETHER
        - SOL_USD_COIN
        - TON
      type: string
  securitySchemes:
    Bearer:
      type: http
      description: Pass your JWT token in the Authorization header as a Bearer token.
      scheme: bearer
      bearerFormat: JWT

````